diff mbox

[test] btrfs quotas testing

Message ID 1360910371-3258-1-git-send-email-hemanthkumar51@gmail.com (mailing list archive)
State New, archived
Headers show

Commit Message

Hemanth Kumar Feb. 15, 2013, 6:39 a.m. UTC
Signed-off-by: Hemanth Kumar <hemanthkumar51@gmail.com>
---
 quota.sh | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)
 create mode 100644 quota.sh
diff mbox

Patch

diff --git a/quota.sh b/quota.sh
new file mode 100644
index 0000000..8b82bf9
--- /dev/null
+++ b/quota.sh
@@ -0,0 +1,23 @@ 
+#! /bin/bash
+# btrfs quotas test case
+#tmp=/sample
+status=1
+
+cleanup()
+{
+    btrfs subvolume delete $TEST_DIR/vol1
+}
+
+#trap "_cleanup ; exit \$status" 0 1 2 3 15
+
+btrfs quota enable $TEST_DIR
+echo "quota enabled on $TEST_DEV"
+btrfs subvolume create $TEST_DIR/vol1
+echo "vol1 created"
+btrfs qgroup show $TEST_DIR
+btrfs qgroup limit 2m $TEST_DIR/vol1
+echo "qgroup limited to 2mb"
+dd if=$TEST_DEV of=$TEST_DIR/vol1/file1 bs=3M count=1
+echo "tried to write 3m worth data"
+cleanup
+exit